Tokens
Get Token Info by ContractAddress
Retrieves project details and social media links for an ERC-20/ERC-721/ERC-1155 token.
GET
/
v2
/
api
Get Token Info by ContractAddress
curl --request GET \
--url https://api.etherscan.io/v2/api{
"status": "1",
"message": "OK",
"result": [
{
"contractAddress": "0x0e3a2a1f2146d86a604adc220b4967a898d7fe07",
"tokenName": "Gods Unchained Cards",
"symbol": "CARD",
"divisor": "0",
"tokenType": "ERC721",
"totalSupply": "6972003",
"blueCheckmark": "true",
"description": "A TCG on the Ethereum blockchain that uses NFT's to bring real ownership to in-game assets.",
"website": "https://godsunchained.com/",
"email": "",
"blog": "https://medium.com/@fuelgames",
"reddit": "https://www.reddit.com/r/GodsUnchained/",
"slack": "",
"facebook": "https://www.facebook.com/godsunchained/",
"twitter": "https://twitter.com/godsunchained",
"bitcointalk": "",
"github": "",
"telegram": "",
"wechat": "",
"linkedin": "",
"discord": "https://discordapp.com/invite/DKGr2pW",
"whitepaper": "",
"tokenPriceUSD": "0.000000000000000000",
"image": ""
}
]
}
This is a PRO endpoint, available to the Standard Plan and above
This endpoint is throttled to 2 calls/second regardless of API Pro tier.
Query Parameters
Your Etherscan API key.
Chain ID to query, eg
1 for Ethereum, 8453 for Base from our supported chains.Set to
token for this endpoint.Set to
tokeninfo for this endpoint.Contract address of the token to retrieve info for.
{
"status": "1",
"message": "OK",
"result": [
{
"contractAddress": "0x0e3a2a1f2146d86a604adc220b4967a898d7fe07",
"tokenName": "Gods Unchained Cards",
"symbol": "CARD",
"divisor": "0",
"tokenType": "ERC721",
"totalSupply": "6972003",
"blueCheckmark": "true",
"description": "A TCG on the Ethereum blockchain that uses NFT's to bring real ownership to in-game assets.",
"website": "https://godsunchained.com/",
"email": "",
"blog": "https://medium.com/@fuelgames",
"reddit": "https://www.reddit.com/r/GodsUnchained/",
"slack": "",
"facebook": "https://www.facebook.com/godsunchained/",
"twitter": "https://twitter.com/godsunchained",
"bitcointalk": "",
"github": "",
"telegram": "",
"wechat": "",
"linkedin": "",
"discord": "https://discordapp.com/invite/DKGr2pW",
"whitepaper": "",
"tokenPriceUSD": "0.000000000000000000",
"image": ""
}
]
}
⌘I